Subject: Re: bug#8399: 23.3; save-some-buffers ignores buffer names

From: Uday S Reddy <[email-masked]>
Date: Fri, 1 Apr 2011 09:39:06 +0100

Stefan Monnier writes:

> I think the file-name is only useful when you have buffer "file",
> "file<2>", "file<3>", ... so your check is going in the right direction
> but it should also use file-name when the buffer name matches
> (concat "\\<" (regexp-quote (file-name-nondirectory buffer-file-name))
> "<[0-9]+>\\'"), and it should never use file-names when uniquify
> is used.

Thanks Stefan.  I didn't think of the file<n> case.  I will submit a
revised patch.  Is uniquifying file-names something that Emacs does?
Or, were you just referring to the VM's cache folder names?

Cheers,
Uday